Module jdk.compiler
Package com.sun.source.tree

# Interface SynchronizedTree

All Superinterfaces:
  `StatementTree`, `Tree`

public interface SynchronizedTree extends StatementTree
A tree node for a `synchronized` statement. For example:

       synchronized ( expression )
           block

See Java Language Specification:
  14.19 The synchronized Statement
Since:
  1.6

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`BlockTree`
`getBlock()`
Returns the block of the `synchronized` statement.
`ExpressionTree`
`getExpression()`
Returns the expression on which to synchronize.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getExpression

ExpressionTree getExpression()
Returns the expression on which to synchronize.

Returns:
  the expression

### getBlock

BlockTree getBlock()
Returns the block of the `synchronized` statement.

Returns:
  the block